package imagecomparer.gui;

import imagecomparer.stream.DelimitedImageInputStream;

import javax.swing.*;
import java.awt.*;
import java.io.File;

/**
 * Class:           ImagePanel
 * Version:         0.2
 * Date:            2004-03-24 20:20:53
 *
 * Description:     The main window of the application.
 *
 * COPYRIGHT:
 *
 * This software module was originally developed by Pawe? Ha?asa.
 * 
 */
public class ImageComparer extends JFrame {

    PicturePanel panel1, panel2;
    ConfigPanel configPanel;

    /**
     * Creates the main frame of the application, which cointains 2 image panels
     * and configuraion panel
     */
    public ImageComparer() {
        super("Image Comparer");
        DelimitedImageInputStream.setCapacity(0);
        Container c = getContentPane();

        Box box = Box.createHorizontalBox();
        box.setAlignmentY(TOP_ALIGNMENT);
        c.add(box);

        panel1 = new PicturePanel(new File(""));
        box.add(panel1);
        panel2 = new PicturePanel(new File(""));
        box.add(panel2);

        configPanel = new ConfigPanel(new File(""));
        box.add(configPanel);
        
        pack();
        
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setVisible(true);
    }

    /**
     * Creates the ImageComparer instance.
     *
     * @param args The input arguments (not used)
     */
    static public void main(String args[]) {
        new ImageComparer();
    }
}