package imagecomparer.gui;

import javax.swing.*;
import java.awt.*;
import java.awt.event.AdjustmentListener;
import java.awt.event.AdjustmentEvent;
import java.io.File;
import java.util.Vector;

/**
 * Class:           imagecomparer.gui.PicturePanel
 * Version:         0.2
 * Date:            2004-04-21 02:28:01
 *
 * Description:     ?
 *
 * COPYRIGHT:
 *
 * This software module was originally developed by Pawel Halasa.
 * 
 */
class PicturePanel extends JPanel implements FileSelectListener, AdjustmentListener{

    static private int numOfPanels = 0;
    private JScrollPane sp;
    public JPanel mainPanel;
    private ImagePane ic;
    private JTextArea fileInfo;
    private static Vector picturePanels = new Vector();
    private JScrollBar verticalBar, horizontalBar;

    public PicturePanel(File file) {
        setBorder(BorderFactory.createTitledBorder("Image no. " + ++numOfPanels));

        Box box = Box.createVerticalBox();
        box.setAlignmentX(CENTER_ALIGNMENT);
        add(box);

        JProgressBar pb = new JProgressBar();
        pb.setStringPainted(true);

        fileInfo = new JTextArea(5, 10);

        ic = new ImagePane(null, pb, fileInfo);
        sp = new JScrollPane(ic);
        sp.setPreferredSize(new Dimension(350, 300));
        box.add(sp);

        box.add(Box.createVerticalStrut(5));
        box.add(pb);

        box.add(Box.createVerticalStrut(5));
        box.add(new FileSelectBox(this, 1, file));

        box.add(Box.createVerticalStrut(5));
        box.add(new JScrollPane(fileInfo));

        picturePanels.add(this);
        verticalBar = sp.getVerticalScrollBar();
        horizontalBar = sp.getHorizontalScrollBar();
        verticalBar.addAdjustmentListener(this);
        horizontalBar.addAdjustmentListener(this);
    }

    public void fileSelected(File file) {
        ic.setImage(file);
    }

    public void adjustmentValueChanged(AdjustmentEvent e) {
        for (int i = 0; i < picturePanels.size(); i++) {
            PicturePanel pp = (PicturePanel) picturePanels.get(i);
            if (pp == this) continue;
            pp.verticalBar.setValue(verticalBar.getValue());
            pp.horizontalBar.setValue(horizontalBar.getValue());
        }

    }
}